KILL(1)

NAMN
kill — skicka en signal till en process

SYNOPSIS
kill [flaggor] <pid> […]

BESKRIVNING
Standardsignalen för kill är TERM. Använd -l eller -L för att lista tillgängliga signaler. Särskilt användbara signaler inkluderar HUP, INT, KILL, STOP, CONT och 0. Alternativa signaler kan anges på tre sätt: -9, -SIGKILL eller -KILL. Negativa PID-värden kan användas för att välja hela processgrupper; se kolumnen PGID i utdata från kommandot ps. En PID på -1 är speciell; den indikerar alla processer utom kill-processen själv och init.

FLAGGOR

<pid> […]
    Skicka signal till varje listad <pid>.

-<signal>
-s <signal>
--signal <signal>
    Ange den signal som skall skickas. Signalen kan anges genom att använda namn eller nummer. Beteendet hos signaler beskrivs i manualsidan signal(7).

-q, --queue värde
    Använd sigqueue(3) istället för kill(2) och värdeargumentet används för att ange ett heltal att skickas med signalen. Om den mottagande processen har installerat en hanterare för denna signal med flaggan SA_SIGINFO till sigaction(2) så kan den hämta denna data via fältet si_value i posten siginfo_t.

-l, --list [signal]
    Lista signalnamn. Denna flagga kan ta ett argument, vilket kommer konvertera signalnummer till signalnamn, eller vice versa.

-L, --table
    Lista signalnamn i en trevlig tabell.

OBSERVERA
Ditt skal (kommandoradstolk) kan ha ett inbyggt kill-kommando.  Du kan
    behöva köra kommandot som beskrivs här som /bin/kill för att lösa upp konflikten.

EXEMPEL

kill -9 -1
    Döda alla processer du kan döda.

kill -l 11
    Översätt nummer 11 till ett signalnamn.

kill -L
    Lista de tillgängliga signalvalen i en trevlig tabell.

kill 123 543 2341 3453
    Skicka standardsignalen, SIGTERM, till alla dessa processer.

SE ÄVEN
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

STANDARDER
Detta kommand uppfyller tillämpliga standarder. Flaggan -L är Linux-specifik.

UPPHOVSMAN
Albert Cahalan (albert@users.sf.net) skrev kill 1999 för att ersätta en version i bsdutils som inte följde standarder. Den i util-linux kan dessuotom fungera korrekt.

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se